const { gql } = require("apollo-server-express");

const typeDefs = gql`
  type Employee {
    id: Int!
    name: String!
    gender: String!
    email: String!
  }

  #Query
  type Query {
    findAll: [Employee!]!

    findByGender(gender: String!): [Employee!]!

    find(id: Int!): Employee
  }
`;

module.exports = { typeDefs };
