const { employees } = require("../mock/dummy");

const resolvers = {
  Query: {
    findAll: (parent, args) => {
      console.log("fetching all");
      return employees;
    },

    findByGender: (parent, args) => {
      let key = args.gender;
      console.log("fetching employees with gender = %s", key);
      return employees.filter((item) => item.gender === key);
    },

    find: (parent, args) => {
      let key = args.id;
      console.log("fetch employee with id = %s", key);
      return employees.find((item) => item.id === key);
    }
  }
};

module.exports = { resolvers };
